com.pixelmed.test

## Class TestCompositeInstanceContext

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCompositeInstanceContext

-     public class TestCompositeInstanceContext
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCompositeInstanceContext(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCompositeInstanceContext_Constructor()`
    `void` | `TestCompositeInstanceContext_Equality()`
    `void` | `TestCompositeInstanceContext_RemoveAllButPatient()`
    `void` | `TestCompositeInstanceContext_RemoveAllButPatientAndStudy()`
    `void` | `TestCompositeInstanceContext_RemoveAllButPatientAndStudyUsingSelectorSelected()`
    `void` | `TestCompositeInstanceContext_RemoveAllButPatientAndStudyUsingSelectorUnselected()`
    `void` | `TestCompositeInstanceContext_SRSpecificRequestAndProcedure_Default()`
    `void` | `TestCompositeInstanceContext_SRSpecificRequestAndProcedure()`
    `void` | `TestCompositeInstanceContext_WithoutSRSpecificRequestAndProcedure()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCompositeInstanceContext

          public TestCompositeInstanceContext(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCompositeInstanceContext_Constructor

          public void TestCompositeInstanceContext_Constructor()
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_RemoveAllButPatient

          public void TestCompositeInstanceContext_RemoveAllButPatient()
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_RemoveAllButPatientAndStudy

          public void TestCompositeInstanceContext_RemoveAllButPatientAndStudy()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_RemoveAllButPatientAndStudyUsingSelectorSelected

          public void TestCompositeInstanceContext_RemoveAllButPatientAndStudyUsingSelectorSelected()
                                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_RemoveAllButPatientAndStudyUsingSelectorUnselected

          public void TestCompositeInstanceContext_RemoveAllButPatientAndStudyUsingSelectorUnselected()
                                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_Equality

          public void TestCompositeInstanceContext_Equality()
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_SRSpecificRequestAndProcedure

          public void TestCompositeInstanceContext_SRSpecificRequestAndProcedure()
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_SRSpecificRequestAndProcedure_Default

          public void TestCompositeInstanceContext_SRSpecificRequestAndProcedure_Default()
                                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCompositeInstanceContext_WithoutSRSpecificRequestAndProcedure

          public void TestCompositeInstanceContext_WithoutSRSpecificRequestAndProcedure()
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`